> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/create-metrics

> Create one or many custom metrics.

Creates one or many custom metrics. `metrics` takes one metric object or a list of them, and the response is always a list. `summary` is the short description shown with a metric. Link a metric to agents with `agent_ids`.```json theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{ "metrics": { "name": "Greeting", "prompt": "Did the agent greet the caller?", "response_type": "pass_fail" } }
```## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Request body

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request POST \
  --url https://api.getbluejay.ai/v2/create-metrics \
  --header 'X-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
    "metrics": [
      {
        "bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "agent_id": 123,
        "agent_ids": [
          123
        ],
        "name": "<string>",
        "prompt": "<string>",
        "summary": "<string>",
        "metric_type": "llm_judge",
        "settings": {},
        "eval_segment": "agent",
        "scope": "observability",
        "response_type": "pass_fail",
        "min_value": 1.5,
        "max_value": 1.5,
        "category": "<string>",
        "tags": [
          "<string>"
        ],
        "scoring_guidance": "<string>",
        "eval_modality": "AUDIO",
        "model": "<string>",
        "audio_model": "<string>",
        "temperature": 1.5,
        "enum_options": [
          "<string>"
        ],
        "tool_names": [
          "<string>"
        ],
        "json_schema": {},
        "allow_not_applicable": false,
        "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ]
  }'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "metrics": [
    {
      "id": "<string>",
      "bluejay_as_code_id": "<string>",
      "name": "<string>",
      "prompt": "<string>",
      "description": "<string>",
      "summary": "<string>",
      "metric_type": "llm_judge",
      "eval_method": "llm_judge",
      "settings": {},
      "eval_segment": "all",
      "scope": "all",
      "response_type": "pass_fail",
      "agent_ids": [
        123
      ],
      "min_value": 1.5,
      "max_value": 1.5,
      "category": "<string>",
      "tags": [
        "<string>"
      ],
      "scoring_guidance": "<string>",
      "created_at": "2026-01-01T00:00:00Z",
      "updated_at": "2026-01-01T00:00:00Z",
      "updated_by": "<string>",
      "created_by": "<string>",
      "eval_modality": "AUDIO",
      "model": "<string>",
      "audio_model": "<string>",
      "temperature": 1.5,
      "enum_options": [
        "<string>"
      ],
      "tool_names": [
        "<string>"
      ],
      "json_schema": {},
      "allow_not_applicable": false,
      "eval_modality_auto_selected": false,
      "template_id": "<string>",
      "source": "custom"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.